### Method

# Gimp Image add_hguide

#### Declaration [src]

    guint
    gimp_image_add_hguide (
      GimpImage* image,
      gint yposition
    )

#### Description [src]

Add a horizontal guide to an image.

This procedure adds a horizontal guide to an image. It takes the input image and the y-position of the new guide as parameters. It returns the guide ID of the new guide.

#### Parameters

`yposition` | `gint`
| The guide’s y-offset from top of image.

#### Return value

Returns: | `guint`
| The new guide.